/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.licensing.model;

import com.google.api.client.json.GenericJson;

/**
 * Template for LiscenseAssignment Resource
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Enterprise License Manager API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LicenseAssignment extends GenericJson {

  /**
   * ETag of the resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String etags;

  /**
   * Identifies the resource as a LicenseAssignment.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Name of the product.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String productId;

  /**
   * Link to this page.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String selfLink;

  /**
   * Name of the sku of the product.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String skuId;

  /**
   * Email id of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String userId;

  /**
   * ETag of the resource.
   * The value returned may be {@code null}.
   */
  public String getEtags() {
    return etags;
  }

  /**
   * ETag of the resource.
   * The value set may be {@code null}.
   */
  public LicenseAssignment setEtags(String etags) {
    this.etags = etags;
    return this;
  }

  /**
   * Identifies the resource as a LicenseAssignment.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies the resource as a LicenseAssignment.
   * The value set may be {@code null}.
   */
  public LicenseAssignment setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Name of the product.
   * The value returned may be {@code null}.
   */
  public String getProductId() {
    return productId;
  }

  /**
   * Name of the product.
   * The value set may be {@code null}.
   */
  public LicenseAssignment setProductId(String productId) {
    this.productId = productId;
    return this;
  }

  /**
   * Link to this page.
   * The value returned may be {@code null}.
   */
  public String getSelfLink() {
    return selfLink;
  }

  /**
   * Link to this page.
   * The value set may be {@code null}.
   */
  public LicenseAssignment setSelfLink(String selfLink) {
    this.selfLink = selfLink;
    return this;
  }

  /**
   * Name of the sku of the product.
   * The value returned may be {@code null}.
   */
  public String getSkuId() {
    return skuId;
  }

  /**
   * Name of the sku of the product.
   * The value set may be {@code null}.
   */
  public LicenseAssignment setSkuId(String skuId) {
    this.skuId = skuId;
    return this;
  }

  /**
   * Email id of the user.
   * The value returned may be {@code null}.
   */
  public String getUserId() {
    return userId;
  }

  /**
   * Email id of the user.
   * The value set may be {@code null}.
   */
  public LicenseAssignment setUserId(String userId) {
    this.userId = userId;
    return this;
  }

}
